import pytest
from aioresponses import aioresponses
from typing import Text, Dict

from rasax.community.services.stack_service import StackService
from tests.unit.conftest import TEST_STACK_URL


@pytest.mark.parametrize(
    "fingerprint_payload, result", [({}, False), ({"some": "fingerprint"}, True)]
)
async def test_active_model(
    stack_service: StackService, fingerprint_payload: Dict[Text, Text], result: bool
):
    status_url = "{}/status".format(TEST_STACK_URL)
    with aioresponses() as mocked:
        mocked.get(
            status_url, payload={"model": "path", "fingerprint": fingerprint_payload}
        )
        has_active_model = await stack_service.has_active_model()
        assert has_active_model is result
